# Uses of Class
org.apache.commons.math3.optimization.PointVectorValuePair

Packages that use PointVectorValuePair
Package
Description
org.apache.commons.math3.optimization
All classes and sub-packages of this package are deprecated.
org.apache.commons.math3.optimization.direct
This package provides optimization algorithms that don't require derivatives.
org.apache.commons.math3.optimization.general
This package provides optimization algorithms that require derivatives.

## Uses of PointVectorValuePair in org.apache.commons.math3.optimization

Methods in org.apache.commons.math3.optimization that return PointVectorValuePair
Modifier and Type
Method
Description
`PointVectorValuePair[]`
BaseMultivariateVectorMultiStartOptimizer.`getOptima()`
Deprecated.
Get all the optima found during the last call to `optimize`.
`PointVectorValuePair`
BaseMultivariateVectorMultiStartOptimizer.`optimize(int maxEval, FUNC f, double[] target, double[] weights, double[] startPoint)`
Deprecated.
Optimize an objective function.
`PointVectorValuePair`
BaseMultivariateVectorOptimizer.`optimize(int maxEval, FUNC f, double[] target, double[] weight, double[] startPoint)`
Deprecated.
As of 3.1.
Methods in org.apache.commons.math3.optimization that return types with arguments of type PointVectorValuePair
Modifier and Type
Method
Description
`ConvergenceChecker<PointVectorValuePair>`
BaseMultivariateVectorMultiStartOptimizer.`getConvergenceChecker()`
Deprecated.
Get the convergence checker.
Methods in org.apache.commons.math3.optimization with parameters of type PointVectorValuePair
Modifier and Type
Method
Description
`boolean`
SimpleVectorValueChecker.`converged(int iteration, PointVectorValuePair previous, PointVectorValuePair current)`
Deprecated.
Check if the optimization algorithm has converged considering the last two points.

## Uses of PointVectorValuePair in org.apache.commons.math3.optimization.direct

Methods in org.apache.commons.math3.optimization.direct that return PointVectorValuePair
Modifier and Type
Method
Description
`protected abstract PointVectorValuePair`
BaseAbstractMultivariateVectorOptimizer.`doOptimize()`
Deprecated.
Perform the bulk of the optimization algorithm.
`PointVectorValuePair`
BaseAbstractMultivariateVectorOptimizer.`optimize(int maxEval, FUNC f, double[] t, double[] w, double[] startPoint)`
Deprecated.
As of 3.1.
`protected PointVectorValuePair`
BaseAbstractMultivariateVectorOptimizer.`optimize(int maxEval, FUNC f, OptimizationData... optData)`
Deprecated.
Optimize an objective function.
`protected PointVectorValuePair`
BaseAbstractMultivariateVectorOptimizer.`optimizeInternal(int maxEval, FUNC f, double[] t, double[] w, double[] startPoint)`
Deprecated.
As of 3.1.
`protected PointVectorValuePair`
BaseAbstractMultivariateVectorOptimizer.`optimizeInternal(int maxEval, FUNC f, OptimizationData... optData)`
Deprecated.
Optimize an objective function.
Methods in org.apache.commons.math3.optimization.direct that return types with arguments of type PointVectorValuePair
Modifier and Type
Method
Description
`ConvergenceChecker<PointVectorValuePair>`
BaseAbstractMultivariateVectorOptimizer.`getConvergenceChecker()`
Deprecated.
Get the convergence checker.
Constructor parameters in org.apache.commons.math3.optimization.direct with type arguments of type PointVectorValuePair
Modifier
Constructor
Description
`protected`
`BaseAbstractMultivariateVectorOptimizer(ConvergenceChecker<PointVectorValuePair> checker)`
Deprecated.

## Uses of PointVectorValuePair in org.apache.commons.math3.optimization.general

Methods in org.apache.commons.math3.optimization.general that return PointVectorValuePair
Modifier and Type
Method
Description
`PointVectorValuePair`
GaussNewtonOptimizer.`doOptimize()`
Deprecated.
Perform the bulk of the optimization algorithm.
`protected PointVectorValuePair`
LevenbergMarquardtOptimizer.`doOptimize()`
Deprecated.
Perform the bulk of the optimization algorithm.
`PointVectorValuePair`
AbstractLeastSquaresOptimizer.`optimize(int maxEval, DifferentiableMultivariateVectorFunction f, double[] target, double[] weights, double[] startPoint)`
Deprecated.
As of 3.1.
`PointVectorValuePair`
AbstractLeastSquaresOptimizer.`optimize(int maxEval, MultivariateDifferentiableVectorFunction f, double[] target, double[] weights, double[] startPoint)`
Deprecated.
As of 3.1.
`protected PointVectorValuePair`
AbstractLeastSquaresOptimizer.`optimizeInternal(int maxEval, MultivariateDifferentiableVectorFunction f, OptimizationData... optData)`
Deprecated.
As of 3.1.
Constructor parameters in org.apache.commons.math3.optimization.general with type arguments of type PointVectorValuePair
Modifier
Constructor
Description
`protected`
`AbstractLeastSquaresOptimizer(ConvergenceChecker<PointVectorValuePair> checker)`
Deprecated.
``
`GaussNewtonOptimizer(boolean useLU, ConvergenceChecker<PointVectorValuePair> checker)`
Deprecated.
``
`GaussNewtonOptimizer(ConvergenceChecker<PointVectorValuePair> checker)`
Deprecated.
Simple constructor with default settings.
``
`LevenbergMarquardtOptimizer(double initialStepBoundFactor, ConvergenceChecker<PointVectorValuePair> checker, double costRelativeTolerance, double parRelativeTolerance, double orthoTolerance, double threshold)`
Deprecated.
Constructor that allows the specification of a custom convergence checker, in addition to the standard ones.
``
`LevenbergMarquardtOptimizer(ConvergenceChecker<PointVectorValuePair> checker)`
Deprecated.
Constructor that allows the specification of a custom convergence checker.